com.google.cloud.dataflow.sdk.io

## Enum BigQueryIO.Write.WriteDisposition

- java.lang.Object
- - java.lang.Enum<BigQueryIO.Write.WriteDisposition>
  - - com.google.cloud.dataflow.sdk.io.BigQueryIO.Write.WriteDisposition

All Implemented Interfaces:
  Serializable, Comparable<BigQueryIO.Write.WriteDisposition>

Enclosing class:
  BigQueryIO.Write

    public static enum BigQueryIO.Write.WriteDisposition
    extends Enum<BigQueryIO.Write.WriteDisposition>

An enumeration type for the BigQuery write disposition strings.

See Also:
  `configuration.query.writeDisposition` in the BigQuery Jobs API

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`WRITE_APPEND` Specifies that rows may be appended to an existing table.
`WRITE_EMPTY` Specifies that the output table must be empty.
`WRITE_TRUNCATE` Specifies that write should replace a table.

### Method Summary

All Methods Static Methods Concrete Methods
`static BigQueryIO.Write.WriteDisposition` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BigQueryIO.Write.WriteDisposition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WRITE_TRUNCATE

    public static final BigQueryIO.Write.WriteDisposition WRITE_TRUNCATE

Specifies that write should replace a table.

The replacement may occur in multiple steps - for instance by first removing the existing table, then creating a replacement, then filling it in. This is not an atomic operation, and external programs may see the table in any of these intermediate steps.

#### WRITE_APPEND

    public static final BigQueryIO.Write.WriteDisposition WRITE_APPEND

Specifies that rows may be appended to an existing table.

#### WRITE_EMPTY

    public static final BigQueryIO.Write.WriteDisposition WRITE_EMPTY

Specifies that the output table must be empty. This is the default behavior.

If the output table is not empty, the write fails at runtime.

This check may occur long before data is written, and does not guarantee exclusive access to the table. If two programs are run concurrently, each specifying the same output table and a `BigQueryIO.Write.WriteDisposition` of `WRITE_EMPTY`, it is possible for both to succeed.

### Method Detail

#### values

    public static BigQueryIO.Write.WriteDisposition[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BigQueryIO.Write.WriteDisposition c : BigQueryIO.Write.WriteDisposition.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BigQueryIO.Write.WriteDisposition valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null